package com.keao.edu.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(sys_role):
 */
public class SysRole {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "角色名称",required = false)
	private String roleName;
	
	/**  */
	@ApiModelProperty(value = "角色编码",required = false)
	private String roleCode;
	
	/**  */
	@ApiModelProperty(value = "角色描述",required = false)
	private String roleDesc;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String tenantId;
	
	/** 删除标识（0-正常,1-删除） */
	@ApiModelProperty(value = "删除标识（0-正常,1-删除）",required = false)
	private String delFlag;

	@ApiModelProperty(value = "菜单列表",required = false)
	private List<Integer> menuIds;

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public List<Integer> getMenuIds() {
		return menuIds;
	}

	public void setMenuIds(List<Integer> menuIds) {
		this.menuIds = menuIds;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setRoleName(String roleName){
		this.roleName = roleName;
	}
	
	public String getRoleName(){
		return this.roleName;
	}
			
	public void setRoleCode(String roleCode){
		this.roleCode = roleCode;
	}
	
	public String getRoleCode(){
		return this.roleCode;
	}
			
	public void setRoleDesc(String roleDesc){
		this.roleDesc = roleDesc;
	}
	
	public String getRoleDesc(){
		return this.roleDesc;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setDelFlag(String delFlag){
		this.delFlag = delFlag;
	}
	
	public String getDelFlag(){
		return this.delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
